Fehleranalyse fehlende Messdaten spontane DE
============================================

Die SWE Fehleranalyse fehlende Messdaten spontane DE dient zur Ermittlung der Fehlerursache bei fehlenden
Messwerten an DE (Datenendgerät gemäß TLS), die nicht zyklisch sondern nur spontan Daten liefern. "Spontan" 
bedeutet, dass die DE nur Daten liefern, wenn neue vorliegen. Im Rahmen der Erfassung von Daten über eine externe
TLS-Schnittstelle kann aus einer Reihe von Gründen ein Messwert eines DE z. T. nicht
ermittelt werden. Der fehlende Messwert muss dabei nicht zwangsläufig durch den Detektor verursacht
werden. Fehlende Messwerte sind häufig auch durch Kommunikationsstörungen in der langen Kommunikationskette
zwischen Detektor - EAK - SM - KRI - UZ und VRZ bedingt. Diese SWE versucht die Störung innerhalb dieser
Kommunikationskette zu lokalisieren und über Betriebsmeldungen bzw. Fehlerstatusausgaben pro DE verfügbar
zu machen.

## Abhängigkeiten

```mermaid
graph TD;
fehlertlsspontan["fehlertlsspontan (1.2.0)"]-->funclib.bitctrl.dua["funclib.bitctrl.dua (2.0.0)"];
```

Disclaimer
==========

Segment Datenübernahme und Aufbereitung (DUA), SWE Fehleranalyse TLS spontan  
Copyright (C) 2016 Regierungspräsidium Tübingen, Landesstelle für Straßentechnik, Thomas Bräuner

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


Kontakt
=======

Regierungspräsidium Tübingen  
Landesstelle für Straßentechnik  
Heilbronner Straße 300 - 302  
70469 Stuttgart  
Phone: +49 0711 8910-200  
mailto: abteilung9@rpt.bwl.de  
